## libgit2-glib 0.28.0.1

=== meson_options.txt ===
option('gtk_doc', type: 'boolean', value: false, description: 'Enable generating the API reference (depends on GTK-Doc)')
option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection')
option('python', type: 'boolean', value: true, description: 'Build with python support')
option('ssh', type: 'boolean', value: true, description: 'Build with libgit2 ssh support')
option('vapi', type: 'boolean', value: true, description: 'Build Vala bindings')

## libgit2-glib 0.0.12

=== debian/changelog ===
libgit2-glib (0.0.12-1) experimental; urgency=low

  * Initial release (Closes: #706119).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 28 Apr 2014 09:27:43 +1000

=== debian/control ===
Source: libgit2-glib
Section: libs
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, intltool
              ,gtk-doc-tools
              ,gobject-introspection
              ,pkg-config
              ,libgirepository1.0-dev
              ,libgit2-dev (>= 0.20)
Standards-Version: 3.9.5
Homepage: https://wiki.gnome.org/Projects/Libgit2-glib
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libgit2-glib.git
Vcs-Git: git://anonscm.debian.org/collab-maint/libgit2-glib.git

Package: libgit2-glib-1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: glib wrapper library around the libgit2 git access library
 libgit2-glib is a glib wrapper library around the libgit2 git access library.

Package: libgit2-glib-1.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
        ,libgit2-glib-1.0-0 (= ${binary:Version})
        ,gir1.2-git2-glib-1.0 (= ${binary:Version})
        ,libgit2-dev (>= 0.20)
        ,libglib2.0-dev
        ,libgirepository1.0-dev
Suggests: libgit2-glib-1.0-doc
Description: glib wrapper library around the libgit2 git access library - development files
 libgit2-glib is a glib wrapper library around the libgit2 git access library.
 .
 This package contains the development files used in building applications
 that use the libgit2-glib Library.

Package: libgit2-glib-1.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: glib wrapper library around the libgit2 git access library - documentation
 libgit2-glib is a glib wrapper library around the libgit2 git access library.
 .
 This package contains HTML documentation for libgit2-glib.

Package: gir1.2-git2-glib-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for the git2-glib-1.0 library
 This package contains introspection data for the git2-glib-1.0 library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libgit2-glib-1.0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
        ,libgit2-glib-1.0-0 (= ${binary:Version})
Description: glib wrapper library around the libgit2 git access library - debugging symbols
 libgit2-glib is a glib wrapper library around the libgit2 git access library.
 .
 This package provides debugging symbols.

## libgit2-glib 0.0.22

=== debian/changelog ===
libgit2-glib (0.0.22-1) unstable; urgency=medium

  * New upstream release [September 2014].
  * Removed "nossh.patch".
  * Standards-Version: 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 29 Sep 2014 15:55:39 +1000

libgit2-glib (0.0.20-1) unstable; urgency=low

  * New upstream release [July 2014].
  * Upload to unstable (Closes: #760633).
  * Added "build.patch" and "nossh.patch" to fix build errors.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 10 Sep 2014 19:23:19 +1000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
               ,gobject-introspection
               ,pkg-config
               ,libgirepository1.0-dev
-              ,libgit2-dev (>= 0.20)
-Standards-Version: 3.9.5
+              ,libgit2-dev (>= 0.20.0)
+Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Projects/Libgit2-glib
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libgit2-glib.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/libgit2-glib.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with autoreconf,gir

override_dh_auto_configure:
	dh_auto_configure -- \
            --disable-silent-rules \
            --enable-gtk-doc

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_compress:
	dh_compress --exclude=.c

override_dh_strip:
	dh_strip --dbg-package=libgit2-glib-1.0-dbg

override_dh_girepository:
	dh_girepository -v -ldebian/tmp/usr/share/gir-1.0 \
            /usr/lib/$(DEB_BUILD_MULTIARCH)/girepository-1.0

## libgit2-glib 0.0.24

=== debian/changelog ===
libgit2-glib (0.0.24-1) experimental; urgency=medium

  * New upstream release [November 2014].
  * Build-Depends: +valac
  * Ship vapi files in -dev package (Closes: #771525).
    Thanks, Sebastian Reichel.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 01 Jan 2015 14:34:12 +1100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
               ,pkg-config
               ,libgirepository1.0-dev
               ,libgit2-dev (>= 0.20.0)
+              ,valac
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Projects/Libgit2-glib
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libgit2-glib.git

## libgit2-glib 0.22.0

=== debian/changelog ===
libgit2-glib (0.22.0-0ubuntu1) vivid; urgency=medium

  * New upstream release to fix FTBFS for libgit2 0.22.1
  * debian/control:
    - Add a Breaks for gitg older than 3.15.1 in the libgit2-glib-1.0-0 package
      since the installed library breaks API/ABI without modifying the soname

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 14 Apr 2015 10:58:22 -0500

libgit2-glib (0.0.22-1build1) vivid; urgency=medium

  * No-change rebuild for libgit2 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 28 Oct 2014 12:38:40 +0000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
               ,gobject-introspection
               ,pkg-config
               ,libgirepository1.0-dev
-              ,libgit2-dev (>= 0.20.0)
-              ,valac
+              ,libgit2-dev (>= 0.22.1)
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Projects/Libgit2-glib
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libgit2-glib.git
@@ -19,6 +18,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: gitg (<< 3.15.1)
 Description: glib wrapper library around the libgit2 git access library
  libgit2-glib is a glib wrapper library around the libgit2 git access library.

## libgit2-glib 0.22.8

=== debian/changelog ===
libgit2-glib (0.22.8-1) unstable; urgency=low

  * New upstream release [April 2015] (Closes: #786598).
    + Bump (Build-)Depends to "libgit2-dev (>= 0.22.2-2~)".
  * Removed obsolete "build.patch".
  * Build with "--enable-ssh" to fail without ssh support in libgit2.
  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 01 Jun 2015 10:41:07 +1000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
               ,gobject-introspection
               ,pkg-config
               ,libgirepository1.0-dev
-              ,libgit2-dev (>= 0.22.1)
+              ,libgit2-dev (>= 0.22.2-2~)
+              ,valac
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Projects/Libgit2-glib
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libgit2-glib.git
@@ -18,7 +19,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: gitg (<< 3.15.1)
 Description: glib wrapper library around the libgit2 git access library
  libgit2-glib is a glib wrapper library around the libgit2 git access library.
 
@@ -28,7 +28,7 @@
 Depends: ${misc:Depends}
         ,libgit2-glib-1.0-0 (= ${binary:Version})
         ,gir1.2-git2-glib-1.0 (= ${binary:Version})
-        ,libgit2-dev (>= 0.20)
+        ,libgit2-dev (>= 0.22.2-2~)
         ,libglib2.0-dev
         ,libgirepository1.0-dev
 Suggests: libgit2-glib-1.0-doc

## libgit2-glib 0.24.0

=== debian/changelog ===
libgit2-glib (0.24.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 14 Apr 2016 14:07:51 +1000

libgit2-glib (0.24.0-2) experimental; urgency=medium

  * Added "Build-Depends-Package" field to .symbols file.
    Thanks, Andreas Henriksson.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 Apr 2016 11:31:11 +1000

libgit2-glib (0.24.0-1) experimental; urgency=medium

  * New upstream release [March 2016] (Closes: #819871).
  * Build-Depends:
    - libgit2-dev (>= 0.23.0)
    + libgit2-dev (>= 0.24.0)
  * Standards-Version: 3.9.7.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 18 Mar 2016 06:27:21 +1100

libgit2-glib (0.23.10-1) unstable; urgency=medium

  * New upstream release [February 2016].
  * Updated Vcs URLs (vcs-field-uses-insecure-uri).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 12 Feb 2016 10:27:57 +1100

libgit2-glib (0.23.8-1) unstable; urgency=medium

  * New upstream release [December 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 30 Dec 2015 22:44:44 +1100

libgit2-glib (0.23.6-1) unstable; urgency=medium

  * New upstream release [September 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 29 Sep 2015 11:33:43 +1000

libgit2-glib (0.23.4-2) unstable; urgency=medium

  * Updated versioned dependencies (Closes: #798832).
    Thanks, Julien Cristau.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 14 Sep 2015 09:21:18 +1000

libgit2-glib (0.23.4-1) unstable; urgency=low

  * New upstream release [August 2015].
  * Build-Depends:
    - libgit2-dev (>= 0.22.2-2~)
    + libgit2-dev (>= 0.23.0)

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 09 Sep 2015 05:18:50 +1000

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
               ,gobject-introspection
               ,pkg-config
               ,libgirepository1.0-dev
-              ,libgit2-dev (>= 0.22.2-2~)
+              ,libgit2-dev (>= 0.24.0)
+              ,libglib2.0-dev (>= 2.44.0)
               ,valac
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://wiki.gnome.org/Projects/Libgit2-glib
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libgit2-glib.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/libgit2-glib.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/libgit2-glib.git
+Vcs-Git: https://anonscm.debian.org/collab-maint/libgit2-glib.git
 
 Package: libgit2-glib-1.0-0
 Architecture: any
@@ -28,8 +29,8 @@
 Depends: ${misc:Depends}
         ,libgit2-glib-1.0-0 (= ${binary:Version})
         ,gir1.2-git2-glib-1.0 (= ${binary:Version})
-        ,libgit2-dev (>= 0.22.2-2~)
-        ,libglib2.0-dev
+        ,libgit2-dev (>= 0.24.0)
+        ,libglib2.0-dev (>= 2.44.0)
         ,libgirepository1.0-dev
 Suggests: libgit2-glib-1.0-doc
 Description: glib wrapper library around the libgit2 git access library - development files

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
             --disable-silent-rules \
+            --enable-ssh           \
             --enable-gtk-doc
 
 override_dh_auto_install:

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/libgit2-glib/([\d\.]+)/libgit2-glib-([\d\.]+)\.tar\.xz

## libgit2-glib 0.24.4

=== debian/changelog ===
libgit2-glib (0.24.4-1) unstable; urgency=medium

  * New upstream release [September 2016].
  * Standards-Version: 3.9.8.
  * Modernised Vcs-Browser URL.
  * Fixed Vcs-Git URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 16 Oct 2016 15:27:18 +1100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
               ,libgit2-dev (>= 0.24.0)
               ,libglib2.0-dev (>= 2.44.0)
               ,valac
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Projects/Libgit2-glib
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/libgit2-glib.git
-Vcs-Git: https://anonscm.debian.org/collab-maint/libgit2-glib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libgit2-glib.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libgit2-glib.git
 
 Package: libgit2-glib-1.0-0
 Architecture: any

## libgit2-glib 0.26.2

=== debian/changelog ===
libgit2-glib (0.26.2-1) unstable; urgency=medium

  * New upstream release
  * debian/libgit2-glib-1.0-0.symbols: Add new symbols
  * Add debian/docs to install NEWS
  * Update debian/gbp.conf for Debian GNOME conventions
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 20 Jan 2018 22:36:24 -0500

libgit2-glib (0.26.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Thu, 14 Sep 2017 13:12:32 +0200

libgit2-glib (0.26.0-2) experimental; urgency=medium

  * Rename gir1.2-git2-glib-1.0 to gir1.2-ggit-1.0

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Aug 2017 13:31:49 +0200

libgit2-glib (0.26.0-1) experimental; urgency=medium

  * New upstream version 0.26.0 (Closes: #872850)
  * debian/control: Bump libgit2 build-dependency to 0.26.0
  * debian/libgit2-glib-1.0-0.symbols: Adjust the symbols file
  * Drop -dbg package and rely on the dbgsym one
  * gir1.2-git2-glib-1.0.install: Install the typelib file in the m-a path
  * debian/control: Bump Standards-Version to 4.1.0 (no further changes)
  * Adopt the package in behalf of the Debian GNOME Maintainers team
    (Closes: #851451)
  * debian/control.in: Drop libgirepository1.0-dev from the
    libgit2-glib-1.0-dev deps

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Aug 2017 13:25:45 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libgit2-glib
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 11),
               gtk-doc-tools,
               gnome-pkg-tools,
               gobject-introspection,
               intltool,
               libgirepository1.0-dev,
               libgit2-dev (>= 0.26.0),
               libglib2.0-dev (>= 2.44.0),
               pkg-config,
               valac
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/gnome-team/libgit2-glib
Vcs-Git: https://salsa.debian.org/gnome-team/libgit2-glib.git
Homepage: https://wiki.gnome.org/Projects/Libgit2-glib

Package: libgit2-glib-1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: glib wrapper library around the libgit2 git access library
 libgit2-glib is a glib wrapper library around the libgit2 git access library.

Package: libgit2-glib-1.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         gir1.2-ggit-1.0 (= ${binary:Version}),
         libgit2-glib-1.0-0 (= ${binary:Version}),
         libgit2-dev (>= 0.26.0),
         libglib2.0-dev (>= 2.44.0)
Suggests: libgit2-glib-1.0-doc
Description: glib wrapper library around the libgit2 git access library - development files
 libgit2-glib is a glib wrapper library around the libgit2 git access library.
 .
 This package contains the development files used in building applications
 that use the libgit2-glib Library.

Package: libgit2-glib-1.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: glib wrapper library around the libgit2 git access library - documentation
 libgit2-glib is a glib wrapper library around the libgit2 git access library.
 .
 This package contains HTML documentation for libgit2-glib.

Package: gir1.2-ggit-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Replaces: gir1.2-git2-glib-1.0
Conflicts: gir1.2-git2-glib-1.0
Provides: gir1.2-git2-glib-1.0
Description: GObject introspection data for the git2-glib-1.0 library
 This package contains introspection data for the git2-glib-1.0 library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- \
            --disable-silent-rules \
            --enable-ssh           \
            --enable-gtk-doc

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_compress:
	dh_compress --exclude=.c

override_dh_strip:
	dh_strip --dbgsym-migration='libgit2-glib-1.0-dbg (<< 0.26.0)'

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

## libgit2-glib 0.26.4

=== debian/changelog ===
libgit2-glib (0.26.4-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
    - No longer uses gnome-common (Closes: #829841)
  * Build with meson
  * Drop obsolete debian/source/options
  * Bump Standards-Version to 4.1.4

  [ Simon McVittie ]
  * d/p/libgit2-0.27-compat.patch:
    Add patch from Steve Langasek to adapt to libgit2 0.27's API,
    modified so that we can build against either libgit2 0.26 or 0.27
    and so will only need a binNMU for the transition (Closes: #903146)

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Jul 2018 13:58:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: libgit2-glib
@@ -7,17 +7,18 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 11.1.3),
                gtk-doc-tools,
                gnome-pkg-tools,
                gobject-introspection,
-               intltool,
                libgirepository1.0-dev,
                libgit2-dev (>= 0.26.0),
                libglib2.0-dev (>= 2.44.0),
+               meson (>= 0.43.0),
                pkg-config,
+               python-gi-dev,
                valac
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgit2-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/libgit2-glib.git
 Homepage: https://wiki.gnome.org/Projects/Libgit2-glib

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- \
            -Dgtk_doc=true

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_compress:
	dh_compress --exclude=.c

override_dh_strip:
	dh_strip --dbgsym-migration='libgit2-glib-1.0-dbg (<< 0.26.0)'

override_dh_missing:
	dh_missing --fail-missing

## libgit2-glib 0.27.7

=== debian/changelog ===
libgit2-glib (0.27.7-1) unstable; urgency=medium

  * New upstream release
  * Add -Wl,-O1 to our LDFLAGS
  * Drop libgit2-0.27-compat.patch: Applied in new release
  * debian/watch: Watch for odd-numbered release too
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 12:28:25 -0500

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                pkg-config,
                python-gi-dev,
                valac
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgit2-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/libgit2-glib.git
 Homepage: https://wiki.gnome.org/Projects/Libgit2-glib

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gir,gnome

## libgit2-glib 0.27.8

=== debian/changelog ===
libgit2-glib (0.27.8-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.48.0
  * deiban/libgit2-glib-1.0-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Mar 2019 16:23:11 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libgirepository1.0-dev,
                libgit2-dev (>= 0.26.0),
                libglib2.0-dev (>= 2.44.0),
-               meson (>= 0.43.0),
+               meson (>= 0.48.0),
                pkg-config,
                python-gi-dev,
                valac

## libgit2-glib 0.28.0.1

=== debian/changelog ===
libgit2-glib (0.28.0.1-2) unstable; urgency=medium

  * debian/gir1.2-ggit-1.0.install: Install the Ggit.py override file at the
    correct location (Closes: #946321)
  * debian/control.in: Add libglib2.0-doc to B-D-I and mark the -doc package
    with Build-Profiles: <!nodoc>
  * debian/control.in: Mark libgit2-glib-1.0-dev with Multi-arch: same
  * Bump debhelper version to 12
  * Bump Standards-Version to 4.5.0 (no further changes)
  * debian/libgit2-glib-1.0-doc.doc-base: Update the path to the documentation
    to use the symlink inside /usr/share/doc, to please lintian
  * Rename debian/TODO.Debian to debian/TODO to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Mon, 02 Mar 2020 14:32:23 +0100

libgit2-glib (0.28.0.1-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
    - Compatible with libgit2 0.28 (Closes: #931684)
  * d/tests/build: Rebuild and run upstream's unit test as an autopkgtest.
    This exercises basic functionality of the library itself, as well as
    the -dev package.
  * d/p/Use-basename-in-enumtypes-templates.patch:
    Add patch from Chris Lamb to make the build more reproducible
    (Closes: #907793)
  * Use a temporary home directory to work around #935817
    (Closes: #934673)
  * Standards-Version: 4.4.0 (no changes required)
  * Set Rules-Requires-Root to no

  [ Jongmin Kim ]
  * Add new symbols

  [ Pirate Praveen ]
  * Use libgit2-dev >= 0.28

  [ Simon McVittie ]
  * Revert "Use libgit2-dev >= 0.28".
    This version can be binNMU'd to be rebuilt against the new version
    of libgit2 when the time comes.

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Aug 2019 19:09:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper (>= 11.1.3),
+Build-Depends: debhelper-compat (= 12),
                gtk-doc-tools,
                gnome-pkg-tools,
                gobject-introspection,
@@ -18,7 +18,9 @@
                pkg-config,
                python-gi-dev,
                valac
-Standards-Version: 4.3.0
+Build-Depends-Indep: libglib2.0-doc <!nodoc>
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgit2-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/libgit2-glib.git
 Homepage: https://wiki.gnome.org/Projects/Libgit2-glib
@@ -34,6 +36,7 @@
 Package: libgit2-glib-1.0-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          gir1.2-ggit-1.0 (= ${binary:Version}),
          libgit2-glib-1.0-0 (= ${binary:Version}),
@@ -52,6 +55,7 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
 Description: glib wrapper library around the libgit2 git access library - documentation
  libgit2-glib is a glib wrapper library around the libgit2 git access library.
  .

## libgit2-glib 0.99.0.1

=== debian/changelog ===
libgit2-glib (0.99.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Compatible with libgit2 1.0 (Closes: #971563, #976541)
  * Update symbols file for new API
  * Add patches from upstream to fix VAPI installation

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Dec 2020 22:23:05 +0000

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,11 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+# Workaround for #935817
+export HOME=$(CURDIR)/debian/temp-home
+unexport XDG_CACHE_HOME
+unexport XDG_CONFIG_DIRS
+unexport XDG_CONFIG_HOME
+unexport XDG_DATA_DIRS
+unexport XDG_DATA_HOME

## libgit2-glib 1.0.0.1

=== debian/changelog ===
libgit2-glib (1.0.0.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied in new release
  * debian/libgit2-glib-1.0-0.symbols: Add new symbols
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Bump debhelper-compat to 13
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/rules: Drop no longer needed dbgsym migration

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Jan 2022 11:14:59 -0500

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gtk-doc-tools,
-               gnome-pkg-tools,
-               gobject-introspection,
+               dh-sequence-gir,
+               dh-sequence-gnome,
                libgirepository1.0-dev,
                libgit2-dev (>= 0.26.0),
                libglib2.0-dev (>= 2.44.0),

## libgit2-glib 1.1.0

=== debian/changelog ===
libgit2-glib (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on gi-docgen instead of gtk-doc-tools
  * debian/control.in: Bump minimum meson to 0.50.0
  * debian/control.in: Bump Standards-Version to 4.6.1
  * debian/libgit2-glib-1.0-0.symbols: Add new symbols
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 11 Aug 2022 16:27:42 -0400

libgit2-glib (1.0.0.1-2) unstable; urgency=medium

  * Team upload
  * d/p/meson-Simplify-enum-sources-generation.patch:
    Add patch from upstream to simplify use of glib-mkenums.
    This makes that part of the build reproducible, superseding our
    Debian-specific patch.
  * d/p/meson-Remove-the-use-of-join_paths-function.patch,
    d/p/Revert-Use-python3.patch:
    Add patches from upstream fixing installation of PyGI overrides
    (Closes: #1009019, #1009452)

 -- Simon McVittie <smcv@debian.org>  Sun, 08 May 2022 11:04:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,21 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               gtk-doc-tools,
+               gi-docgen,
                dh-sequence-gir,
                dh-sequence-gnome,
                libgirepository1.0-dev,
                libgit2-dev (>= 0.26.0),
                libglib2.0-dev (>= 2.44.0),
-               meson (>= 0.48.0),
+               meson (>= 0.50.0),
                pkg-config,
                python-gi-dev,
                valac
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgit2-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/libgit2-glib.git
 Homepage: https://wiki.gnome.org/Projects/Libgit2-glib

## libgit2-glib 1.2.0

=== debian/changelog ===
libgit2-glib (1.2.0-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:58:42 +0000

libgit2-glib (1.2.0-1build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:00:16 +0000

libgit2-glib (1.2.0-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:21:59 +0000

libgit2-glib (1.2.0-1build1) noble; urgency=medium

  * Rebuild against 'new libgit2-1.7'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Dec 2023 09:36:25 +0100

libgit2-glib (1.2.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * debian/libgit2-glib-1.0-0.symbols: Add new symbols
  * Update standards version to 4.6.2, no changes needed

  [ Jarred Wilson ]
  * Add debian/upstream/metadata

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 16:34:04 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: libgit2-glib
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gi-docgen,
                dh-sequence-gir,
@@ -20,7 +21,7 @@
                valac
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgit2-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/libgit2-glib.git
 Homepage: https://wiki.gnome.org/Projects/Libgit2-glib

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
            -Dgtk_doc=true

override_dh_compress:
	dh_compress --exclude=.c

## libgit2-glib 1.2.1

=== debian/changelog ===
libgit2-glib (1.2.1-2) unstable; urgency=medium

  * Team upload
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/control: Drop libglib2.0-doc from Build-Depends-Indep.
    This was desirable with gtk-doc, but is unnecessary with gi-docgen.
  * d/control, d/rules: Only require gi-docgen when building -doc package
  * d/rules: Remove unnecessary dh_compress override.
    Since debhelper compat level 12, examples are not compressed anyway.
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Sep 2025 11:16:28 +0100

libgit2-glib (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Feb 2025 07:03:35 -0500

libgit2-glib (1.2.0-2) unstable; urgency=high

  [ Simon McVittie ]
  * d/gir1.2-ggit-1.0.install: Tighten up glob expressions to avoid accidents

  [ Jeremy Bícha ]
  * Cherry-pick proposed patch to fix build with libgit2 1.8
  * Bump minimum libgit2 to 1.8.0
  * Add Provides: ${gir:Provides} to libgit2-glib-1.0-dev
  * Stop using debian/control.in and dh-sequence-gnome
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 06 Oct 2024 08:54:44 -0400

=== debian/control ===
Source: libgit2-glib
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               gir1.2-gio-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gobject-introspection (>= 1.80),
               libgit2-dev (>= 1.8.0),
               libglib2.0-dev (>= 2.44.0),
               meson (>= 0.50.0),
               pkgconf,
               python-gi-dev,
               valac
Build-Depends-Indep: gi-docgen <!nodoc>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/libgit2-glib
Vcs-Git: https://salsa.debian.org/gnome-team/libgit2-glib.git
Homepage: https://wiki.gnome.org/Projects/Libgit2-glib

Package: libgit2-glib-1.0-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: glib wrapper library around the libgit2 git access library
 libgit2-glib is a glib wrapper library around the libgit2 git access library.

Package: libgit2-glib-1.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgit2-dev (>= 1.8.0),
         libgit2-glib-1.0-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.44.0),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Suggests: libgit2-glib-1.0-doc
Description: glib wrapper library around the libgit2 git access library - development files
 libgit2-glib is a glib wrapper library around the libgit2 git access library.
 .
 This package contains the development files used in building applications
 that use the libgit2-glib Library.

Package: libgit2-glib-1.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: glib wrapper library around the libgit2 git access library - documentation
 libgit2-glib is a glib wrapper library around the libgit2 git access library.
 .
 This package contains HTML documentation for libgit2-glib.

Package: gir1.2-ggit-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Replaces: gir1.2-git2-glib-1.0
Conflicts: gir1.2-git2-glib-1.0
Provides: gir1.2-git2-glib-1.0
Description: GObject introspection data for the git2-glib-1.0 library
 This package contains introspection data for the git2-glib-1.0 library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

built_binaries := $(shell dh_listpackages)
configure_flags =

ifeq ($(filter %-doc,$(built_binaries)),)
configure_flags += -Dgtk_doc=false
else
configure_flags += -Dgtk_doc=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

=== debian/tests/control ===
# Not marked as superficial because it actually runs upstream's
# unit test (currently there is only one)
Tests: build
Restrictions: allow-stderr
Depends: build-essential, libgit2-glib-1.0-dev, libglib2.0-dev, pkg-config
